Closed Bug 1688294 Opened 3 months ago Closed 2 months ago

The highlight on the `<` button overlaps the highlight on the first pinned tab.

Categories

(Firefox :: Theme, defect)

defect

Tracking

()

VERIFIED FIXED
87 Branch
Tracking Status
firefox87 --- fixed
firefox88 --- fixed
firefox89 --- verified

People

(Reporter: bwinton, Assigned: jaws)

References

(Blocks 1 open bug)

Details

(Whiteboard: [proton-tabs-bar])

Attachments

(3 files, 1 obsolete file)

Lemme know if you need more details, but Jared said he saw what I meant… 😉

Assignee: nobody → jaws
Status: NEW → ASSIGNED
Attached image Screenshot of the issue

For future documentation and verification, this is what the issue is about, AFAICT.

Pushed by jwein@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/32f3082f44bb
Account for the padding on the scrollbox when positioning pinned tabs. r=Gijs

Backed out 3 changesets (bug 1688294, bug 1688072, bug 1689852)for wpt leakcheck failures.

Push with failures: https://treeherder.mozilla.org/jobs?repo=autoland&group_state=expanded&fromchange=e1e5bb1b3ccf4021ab9b54a1fd4153ad3ab624c9&searchStr=linux%2C18.04%2Cx64%2Cwebrender%2Cdebug%2Cweb%2Cplatform%2Ctests%2Cwith%2Cfission%2Cenabled%2Ctest-linux1804-64-qr%2Fdebug-web-platform-tests-fis-e10s%2Cwpt8&tochange=d553759a32e24d179a11ecee590e0e9ca7e13597&selectedTaskRun=Mqpa0OB5SeWolEYwTv_taQ.0

Backout link: https://hg.mozilla.org/integration/autoland/rev/d553759a32e24d179a11ecee590e0e9ca7e13597

Failure log: https://treeherder.mozilla.org/logviewer?job_id=329546619&repo=autoland&lineNumber=12719

[task 2021-02-10T22:02:11.860Z] 22:02:11     INFO - TEST-START | /fetch/h1-parsing/lone-cr.window.html
[task 2021-02-10T22:02:11.880Z] 22:02:11     INFO - PID 10832 | ### XPCOM_MEM_BLOAT_LOG defined -- logging bloat/leaks to /tmp/tmp7pl4x06f/runtests_leaks_1122_tab_pid11302.log
[task 2021-02-10T22:02:11.881Z] 22:02:11     INFO - PID 10832 | [11302, Main Thread] WARNING: XPCOM_MEM_BLOAT_LOG is set, disabling native allocations.: file /builds/worker/checkouts/gecko/tools/profiler/core/platform.cpp:251
[task 2021-02-10T22:02:11.974Z] 22:02:11     INFO - PID 10832 | [Child 11302, Main Thread] WARNING: could not set real-time limit in CubebUtils::InitLibrary: file /builds/worker/checkouts/gecko/dom/media/CubebUtils.cpp:619
[task 2021-02-10T22:02:12.489Z] 22:02:12     INFO - PID 10832 | [Parent 10832, Main Thread] WARNING: response headers not available or incomplete: file /builds/worker/checkouts/gecko/netwerk/protocol/http/nsHttpTransaction.cpp:542
[task 2021-02-10T22:02:12.491Z] 22:02:12     INFO - PID 10832 | [Parent 10832, Main Thread] WARNING: No response head in OnStartRequest: file /builds/worker/checkouts/gecko/netwerk/protocol/http/nsHttpChannel.cpp:7419
[task 2021-02-10T22:02:12.492Z] 22:02:12     INFO - PID 10832 | Assertion failure: ((bool)(__builtin_expect(!!(!NS_FAILED_impl(rv)), 1))), at /builds/worker/checkouts/gecko/dom/fetch/FetchDriver.cpp:960
[task 2021-02-10T22:02:12.499Z] 22:02:12     INFO - STDOUT: Initializing stack-fixing for the first stack frame, this may take a while...
[task 2021-02-10T22:02:13.544Z] 22:02:13     INFO - mozcrash Copy/paste: /builds/worker/fetches/minidump_stackwalk/minidump_stackwalk /tmp/tmp7pl4x06f/minidumps/0becc152-920c-0049-9089-a23f52981e14.dmp /builds/worker/workspace/build/symbols
[task 2021-02-10T22:02:21.246Z] 22:02:21     INFO - mozcrash Saved minidump as /builds/worker/workspace/build/blobber_upload_dir/0becc152-920c-0049-9089-a23f52981e14.dmp
[task 2021-02-10T22:02:21.246Z] 22:02:21     INFO - mozcrash Saved app info as /builds/worker/workspace/build/blobber_upload_dir/0becc152-920c-0049-9089-a23f52981e14.extra
[task 2021-02-10T22:02:21.406Z] 22:02:21     INFO - PROCESS-CRASH | /fetch/h1-parsing/lone-cr.window.html | application crashed [@ mozilla::dom::FetchDriver::OnStartRequest(nsIRequest*)]
[task 2021-02-10T22:02:21.407Z] 22:02:21     INFO - Mozilla crash reason: MOZ_ASSERT(((bool)(__builtin_expect(!!(!NS_FAILED_impl(rv)), 1))))
[task 2021-02-10T22:02:21.408Z] 22:02:21     INFO - Crash dump filename: /tmp/tmp7pl4x06f/minidumps/0becc152-920c-0049-9089-a23f52981e14.dmp
[task 2021-02-10T22:02:21.408Z] 22:02:21     INFO - Operating system: Linux
[task 2021-02-10T22:02:21.408Z] 22:02:21     INFO -                   0.0.0 Linux 4.4.0-1014-aws #14taskcluster1-Ubuntu SMP Tue Apr 3 10:27:00 UTC 2018 x86_64
[task 2021-02-10T22:02:21.408Z] 22:02:21     INFO - CPU: amd64
[task 2021-02-10T22:02:21.408Z] 22:02:21     INFO -      family 6 model 85 stepping 7
[task 2021-02-10T22:02:21.408Z] 22:02:21     INFO -      4 CPUs
[task 2021-02-10T22:02:21.408Z] 22:02:21     INFO - 
[task 2021-02-10T22:02:21.408Z] 22:02:21     INFO - GPU: UNKNOWN
[task 2021-02-10T22:02:21.408Z] 22:02:21     INFO - 
[task 2021-02-10T22:02:21.408Z] 22:02:21     INFO - Crash reason:  SIGSEGV /SEGV_MAPERR
[task 2021-02-10T22:02:21.408Z] 22:02:21     INFO - Crash address: 0x0
[task 2021-02-10T22:02:21.408Z] 22:02:21     INFO - Process uptime: not available
[task 2021-02-10T22:02:21.408Z] 22:02:21     INFO - 
[task 2021-02-10T22:02:21.408Z] 22:02:21     INFO - Thread 0 (crashed)
[task 2021-02-10T22:02:21.408Z] 22:02:21     INFO -  0  libxul.so!mozilla::dom::FetchDriver::OnStartRequest(nsIRequest*) [FetchDriver.cpp:32f3082f44bbc7820f190bf9379b8f7b19c693ff : 960 + 0x29]
[task 2021-02-10T22:02:21.409Z] 22:02:21     INFO -     rax = 0x00007f253efec2e3   rdx = 0x0000000000000000
[task 2021-02-10T22:02:21.409Z] 22:02:21     INFO -     rcx = 0x000055561092c268   rbx = 0x00007fffca6caaf8
[task 2021-02-10T22:02:21.409Z] 22:02:21     INFO -     rsi = 0x00007f2552c278b0   rdi = 0x00007f2552c26680
[task 2021-02-10T22:02:21.409Z] 22:02:21     INFO -     rbp = 0x00007fffca6caca0   rsp = 0x00007fffca6caac0
[task 2021-02-10T22:02:21.409Z] 22:02:21     INFO -      r8 = 0x00007f2552c278b0    r9 = 0x00007f2553b1c780
[task 2021-02-10T22:02:21.409Z] 22:02:21     INFO -     r10 = 0x0000000000000002   r11 = 0x0000000000000000
[task 2021-02-10T22:02:21.409Z] 22:02:21     INFO -     r12 = 0x00007f255241e970   r13 = 0x00007f253507fc40
[task 2021-02-10T22:02:21.409Z] 22:02:21     INFO -     r14 = 0x00007f253504b880   r15 = 0x00007fffca6cab58
[task 2021-02-10T22:02:21.409Z] 22:02:21     INFO -     rip = 0x00007f2543eda454
[task 2021-02-10T22:02:21.409Z] 22:02:21     INFO -     Found by: given as instruction pointer in context
[task 2021-02-10T22:02:21.409Z] 22:02:21     INFO -  1  libxul.so!nsCORSListenerProxy::OnStartRequest(nsIRequest*) [nsCORSListenerProxy.cpp:32f3082f44bbc7820f190bf9379b8f7b19c693ff : 447 + 0x14]
[task 2021-02-10T22:02:21.409Z] 22:02:21     INFO -     rbx = 0x00007f255241e970   rbp = 0x00007fffca6cad50
[task 2021-02-10T22:02:21.409Z] 22:02:21     INFO -     rsp = 0x00007fffca6cacb0   r12 = 0x00007fffca6cacc0
[task 2021-02-10T22:02:21.409Z] 22:02:21     INFO -     r13 = 0x00007f253507fc40   r14 = 0x00007f253504b880
[task 2021-02-10T22:02:21.409Z] 22:02:21     INFO -     r15 = 0x00007f253507fcb8   rip = 0x00007f25420ed79b
[task 2021-02-10T22:02:21.409Z] 22:02:21     INFO -     Found by: call frame info
[task 2021-02-10T22:02:21.409Z] 22:02:21     INFO -  2  libxul.so!mozilla::net::HttpChannelChild::DoOnStartRequest(nsIRequest*, nsISupports*) [HttpChannelChild.cpp:32f3082f44bbc7820f190bf9379b8f7b19c693ff : 592 + 0x14]
[task 2021-02-10T22:02:21.409Z] 22:02:21     INFO -     rbx = 0x00007f253504b800   rbp = 0x00007fffca6cada0
[task 2021-02-10T22:02:21.409Z] 22:02:21     INFO -     rsp = 0x00007fffca6cad60   r12 = 0x00007fffca6cad68
[task 2021-02-10T22:02:21.409Z] 22:02:21     INFO -     r13 = 0x00007f253504d0c0   r14 = 0x00007f253504b960
[task 2021-02-10T22:02:21.409Z] 22:02:21     INFO -     r15 = 0x00007f253504b880   rip = 0x00007f25420a04a0
[task 2021-02-10T22:02:21.409Z] 22:02:21     INFO -     Found by: call frame info
[task 2021-02-10T22:02:21.409Z] 22:02:21     INFO -  3  libxul.so!mozilla::net::HttpChannelChild::OnStartRequest(mozilla::net::nsHttpResponseHead const&, bool const&, mozilla::net::nsHttpHeaderArray const&, mozilla::net::HttpChannelOnStartRequestArgs const&) [HttpChannelChild.cpp:32f3082f44bbc7820f190bf9379b8f7b19c693ff : 523 + 0xf]
[task 2021-02-10T22:02:21.409Z] 22:02:21     INFO -     rbx = 0x00007f253504b800   rbp = 0x00007fffca6caec0
[task 2021-02-10T22:02:21.409Z] 22:02:21     INFO -     rsp = 0x00007fffca6cadb0   r12 = 0x00007f253504b830
[task 2021-02-10T22:02:21.409Z] 22:02:21     INFO -     r13 = 0x00007f253504d0c0   r14 = 0x00007f253504d0d0
[task 2021-02-10T22:02:21.409Z] 22:02:21     INFO -     r15 = 0x00007fffca6cadd0   rip = 0x00007f25420a01e0
[task 2021-02-10T22:02:21.409Z] 22:02:21     INFO -     Found by: call frame info
[task 2021-02-10T22:02:21.409Z] 22:02:21     INFO -  4  libxul.so!mozilla::net::ChannelEventQueue::FlushQueue() [ChannelEventQueue.cpp:32f3082f44bbc7820f190bf9379b8f7b19c693ff : 90 + 0x12]
[task 2021-02-10T22:02:21.409Z] 22:02:21     INFO -     rbx = 0x00007f253507f580   rbp = 0x00007fffca6caf30
[task 2021-02-10T22:02:21.409Z] 22:02:21     INFO -     rsp = 0x00007fffca6caed0   r12 = 0x00007fffca6cafa0
[task 2021-02-10T22:02:21.409Z] 22:02:21     INFO -     r13 = 0x00007fffca6caee0   r14 = 0x00007f253507f5a8
[task 2021-02-10T22:02:21.409Z] 22:02:21     INFO -     r15 = 0x00007fffca6caee8   rip = 0x00007f254219b92e
[task 2021-02-10T22:02:21.409Z] 22:02:21     INFO -     Found by: call frame info
[task 2021-02-10T22:02:21.409Z] 22:02:21     INFO -  5  libxul.so!mozilla::net::ChannelEventQueue::ResumeInternal()::CompleteResumeRunnable::Run() [ChannelEventQueue.cpp:32f3082f44bbc7820f190bf9379b8f7b19c693ff : 148 + 0x29]
[task 2021-02-10T22:02:21.412Z] 22:02:21     INFO -     rbx = 0x00007f253507f580   rbp = 0x00007fffca6caf50
[task 2021-02-10T22:02:21.412Z] 22:02:21     INFO -     rsp = 0x00007fffca6caf40   r12 = 0x00007fffca6cafa0
[task 2021-02-10T22:02:21.412Z] 22:02:21     INFO -     r13 = 0x00007f2548c26388   r14 = 0x00007f253507f5a8
[task 2021-02-10T22:02:21.412Z] 22:02:21     INFO -     r15 = 0x00007f253507a8f0   rip = 0x00007f25421b4951
[task 2021-02-10T22:02:21.412Z] 22:02:21     INFO -     Found by: call frame info
[task 2021-02-10T22:02:21.412Z] 22:02:21     INFO -  6  libxul.so!mozilla::SchedulerGroup::Runnable::Run() [SchedulerGroup.cpp:32f3082f44bbc7820f190bf9379b8f7b19c693ff : 146 + 0x11]
[task 2021-02-10T22:02:21.412Z] 22:02:21     INFO -     rbx = 0x00007f25350c1a80   rbp = 0x00007fffca6caf80
[task 2021-02-10T22:02:21.412Z] 22:02:21     INFO -     rsp = 0x00007fffca6caf60   r12 = 0x00007fffca6cafa0
[task 2021-02-10T22:02:21.412Z] 22:02:21     INFO -     r13 = 0x00007f2548c26388   r14 = 0x00007fffca6caf60
[task 2021-02-10T22:02:21.413Z] 22:02:21     INFO -     r15 = 0x00007f253507a8f0   rip = 0x00007f2541c31b45
[task 2021-02-10T22:02:21.413Z] 22:02:21     INFO -     Found by: call frame info
[task 2021-02-10T22:02:21.413Z] 22:02:21     INFO -  7  libxul.so!mozilla::RunnableTask::Run() [TaskController.cpp:32f3082f44bbc7820f190bf9379b8f7b19c693ff : 472 + 0x11]
[task 2021-02-10T22:02:21.413Z] 22:02:21     INFO -     rbx = 0x0000000000000016   rbp = 0x00007fffca6cb410
[task 2021-02-10T22:02:21.413Z] 22:02:21     INFO -     rsp = 0x00007fffca6caf90   r12 = 0x00007fffca6cafa0
[task 2021-02-10T22:02:21.413Z] 22:02:21     INFO -     r13 = 0x00007f2548c26388   r14 = 0x00007f253507a880
[task 2021-02-10T22:02:21.413Z] 22:02:21     INFO -     r15 = 0x00007f253507a8f0   rip = 0x00007f2541c368cc
[task 2021-02-10T22:02:21.413Z] 22:02:21     INFO -     Found by: call frame info
[task 2021-02-10T22:02:21.413Z] 22:02:21     INFO -  8  libxul.so!mozilla::TaskController::DoExecuteNextTaskOnlyMainThreadInternal(mozilla::detail::BaseAutoLock<mozilla::Mutex&> const&) [TaskController.cpp:32f3082f44bbc7820f190bf9379b8f7b19c693ff : 753 + 0x9]
[task 2021-02-10T22:02:21.413Z] 22:02:21     INFO -     rbx = 0x00007fffca6cb470   rbp = 0x00007fffca6cb630
[task 2021-02-10T22:02:21.413Z] 22:02:21     INFO -     rsp = 0x00007fffca6cb420   r12 = 0x0000000000000000
[task 2021-02-10T22:02:21.414Z] 22:02:21     INFO -     r13 = 0x0000000000000000   r14 = 0x00007f253507a880
[task 2021-02-10T22:02:21.414Z] 22:02:21     INFO -     r15 = 0xaaaaaaaaaaaaaaaa   rip = 0x00007f2541c35427
[task 2021-02-10T22:02:21.414Z] 22:02:21     INFO -     Found by: call frame info
[task 2021-02-10T22:02:21.414Z] 22:02:21     INFO -  9  libxul.so!mozilla::TaskController::ExecuteNextTaskOnlyMainThreadInternal(mozilla::detail::BaseAutoLock<mozilla::Mutex&> const&) [TaskController.cpp:32f3082f44bbc7820f190bf9379b8f7b19c693ff : 611 + 0x5]
[task 2021-02-10T22:02:21.414Z] 22:02:21     INFO -     rbx = 0x00007f253bd05800   rbp = 0x00007fffca6cb670
[task 2021-02-10T22:02:21.414Z] 22:02:21     INFO -     rsp = 0x00007fffca6cb640   r12 = 0x000003f84d464408
[task 2021-02-10T22:02:21.414Z] 22:02:21     INFO -     r13 = 0x0000000000000001   r14 = 0x00007fffca6cb688
[task 2021-02-10T22:02:21.414Z] 22:02:21     INFO -     r15 = 0x00007f253bd05800   rip = 0x00007f2541c3473f
[task 2021-02-10T22:02:21.414Z] 22:02:21     INFO -     Found by: call frame info
[task 2021-02-10T22:02:21.414Z] 22:02:21     INFO - 10  libxul.so!mozilla::TaskController::ProcessPendingMTTask(bool) [TaskController.cpp:32f3082f44bbc7820f190bf9379b8f7b19c693ff : 395 + 0xb]
[task 2021-02-10T22:02:21.414Z] 22:02:21     INFO -     rbx = 0x00007fffca6cb688   rbp = 0x00007fffca6cb6c0
[task 2021-02-10T22:02:21.414Z] 22:02:21     INFO -     rsp = 0x00007fffca6cb680   r12 = 0x000003f84d464408
[task 2021-02-10T22:02:21.414Z] 22:02:21     INFO -     r13 = 0x0000000000000001   r14 = 0x0000000000000001
[task 2021-02-10T22:02:21.414Z] 22:02:21     INFO -     r15 = 0x00007f253bd05800   rip = 0x00007f2541c348b3
[task 2021-02-10T22:02:21.414Z] 22:02:21     INFO -     Found by: call frame info
...
...
...
[task 2021-02-10T22:02:22.767Z] 22:02:22     INFO - TEST-INFO | leakcheck | default leaked 1 nsXULPrototypeDocument
[task 2021-02-10T22:02:22.768Z] 22:02:22     INFO - TEST-INFO | leakcheck | default leaked 1867 nsXULPrototypeNode
[task 2021-02-10T22:02:22.769Z] 22:02:22     INFO - TEST-INFO | leakcheck | default leaked 1 nsXULTooltipListener
[task 2021-02-10T22:02:22.770Z] 22:02:22     INFO - TEST-INFO | leakcheck | default leaked 2 nsZipArchive
[task 2021-02-10T22:02:22.771Z] 22:02:22     INFO - TEST-INFO | leakcheck | default leaked 1 nsZipReaderCache
[task 2021-02-10T22:02:22.772Z] 22:02:22     INFO - TEST-INFO | leakcheck | default leaked 1 xpc::CompartmentPrivate
[task 2021-02-10T22:02:22.772Z] 22:02:22     INFO - TEST-INFO | leakcheck | default leaked 2 xpcJSWeakReference
[task 2021-02-10T22:02:22.780Z] 22:02:22     INFO - TEST-UNEXPECTED-FAIL | leakcheck | default 3029364 bytes leaked (AbstractThread, AbstractWatcher, AsyncCompileShutdownObserver, AsyncFreeSnowWhite, AtomSet, ...)
[task 2021-02-10T22:02:22.780Z] 22:02:22     INFO - 
[task 2021-02-10T22:02:22.781Z] 22:02:22     INFO - leakcheck | Processing leak log file /tmp/tmp7pl4x06f/runtests_leaks_1122_tab_pid10973.log
[task 2021-02-10T22:02:22.782Z] 22:02:22     INFO - 
[task 2021-02-10T22:02:22.782Z] 22:02:22     INFO - == BloatView: ALL (cumulative) LEAK AND BLOAT STATISTICS, tab process 10973
[task 2021-02-10T22:02:22.783Z] 22:02:22     INFO - 
[task 2021-02-10T22:02:22.783Z] 22:02:22     INFO -      |<----------------Class--------------->|<-----Bytes------>|<----Objects---->|
[task 2021-02-10T22:02:22.783Z] 22:02:22     INFO -      |                                      | Per-Inst   Leaked|   Total      Rem|
[task 2021-02-10T22:02:22.784Z] 22:02:22     INFO -    0 |TOTAL                                 |       41        0|   31809        0|
[task 2021-02-10T22:02:22.785Z] 22:02:22     INFO - 
[task 2021-02-10T22:02:22.785Z] 22:02:22     INFO - nsTraceRefcnt::DumpStatistics: 714 entries
[task 2021-02-10T22:02:22.786Z] 22:02:22     INFO - TEST-PASS | leakcheck | tab no leaks detected!
[task 2021-02-10T22:02:22.786Z] 22:02:22     INFO - leakcheck | Processing leak log file /tmp/tmp7pl4x06f/runtests_leaks_1122_tab_pid11213.log
[task 2021-02-10T22:02:22.787Z] 22:02:22     INFO - 
...
...
...
Flags: needinfo?(jaws)
Pushed by btara@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/977472ead74c
Account for the padding on the scrollbox when positioning pinned tabs. r=Gijs
Flags: needinfo?(jaws)

Sorry Jared, the expectance update didn't work.

Push with failures: https://treeherder.mozilla.org/jobs?repo=autoland&group_state=expanded&fromchange=5338c029ee7c7b2ed24aefe56dd69e75b1f0d216&searchStr=linux%2C18.04%2Cx64%2Cwebrender%2Cdebug%2Cweb%2Cplatform%2Ctests%2Cwith%2Cfission%2Cenabled%2Ctest-linux1804-64-qr%2Fdebug-web-platform-tests-fis-e10s%2Cwpt8&selectedTaskRun=D0GoKHPqRNyFGNOkxrk7gw.0&tochange=96508d0c910050edc14dd95cd9af86036dac0b90

Backout link: https://hg.mozilla.org/integration/autoland/rev/96508d0c910050edc14dd95cd9af86036dac0b90

Failure log: https://treeherder.mozilla.org/logviewer?job_id=329586446&repo=autoland&lineNumber=12816

[task 2021-02-11T05:21:24.915Z] 05:21:24     INFO - TEST-START | /fetch/h1-parsing/lone-cr.window.html
[task 2021-02-11T05:21:25.695Z] 05:21:25     INFO - PID 10744 | [Parent 10744, Main Thread] WARNING: response headers not available or incomplete: file /builds/worker/checkouts/gecko/netwerk/protocol/http/nsHttpTransaction.cpp:542
[task 2021-02-11T05:21:25.695Z] 05:21:25     INFO - PID 10744 | [Parent 10744, Main Thread] WARNING: No response head in OnStartRequest: file /builds/worker/checkouts/gecko/netwerk/protocol/http/nsHttpChannel.cpp:7419
[task 2021-02-11T05:21:25.695Z] 05:21:25     INFO - PID 10744 | Assertion failure: ((bool)(__builtin_expect(!!(!NS_FAILED_impl(rv)), 1))), at /builds/worker/checkouts/gecko/dom/fetch/FetchDriver.cpp:960
[task 2021-02-11T05:21:25.708Z] 05:21:25     INFO - STDOUT: Initializing stack-fixing for the first stack frame, this may take a while...
[task 2021-02-11T05:21:26.291Z] 05:21:26     INFO - mozcrash Copy/paste: /builds/worker/fetches/minidump_stackwalk/minidump_stackwalk /tmp/tmpeu7dekwm/minidumps/2e71f3fa-4bb8-7187-0466-a05ada5a004a.dmp /builds/worker/workspace/build/symbols
[task 2021-02-11T05:21:34.862Z] 05:21:34     INFO - mozcrash Saved minidump as /builds/worker/workspace/build/blobber_upload_dir/2e71f3fa-4bb8-7187-0466-a05ada5a004a.dmp
[task 2021-02-11T05:21:34.863Z] 05:21:34     INFO - mozcrash Saved app info as /builds/worker/workspace/build/blobber_upload_dir/2e71f3fa-4bb8-7187-0466-a05ada5a004a.extra
[task 2021-02-11T05:21:35.023Z] 05:21:35     INFO - PROCESS-CRASH | /fetch/h1-parsing/lone-cr.window.html | application crashed [@ mozilla::dom::FetchDriver::OnStartRequest(nsIRequest*)]
[task 2021-02-11T05:21:35.023Z] 05:21:35     INFO - Mozilla crash reason: MOZ_ASSERT(((bool)(__builtin_expect(!!(!NS_FAILED_impl(rv)), 1))))
[task 2021-02-11T05:21:35.023Z] 05:21:35     INFO - Crash dump filename: /tmp/tmpeu7dekwm/minidumps/2e71f3fa-4bb8-7187-0466-a05ada5a004a.dmp
[task 2021-02-11T05:21:35.023Z] 05:21:35     INFO - Operating system: Linux
[task 2021-02-11T05:21:35.023Z] 05:21:35     INFO -                   0.0.0 Linux 4.4.0-1014-aws #14taskcluster1-Ubuntu SMP Tue Apr 3 10:27:00 UTC 2018 x86_64
[task 2021-02-11T05:21:35.023Z] 05:21:35     INFO - CPU: amd64
[task 2021-02-11T05:21:35.023Z] 05:21:35     INFO -      family 6 model 85 stepping 4
[task 2021-02-11T05:21:35.023Z] 05:21:35     INFO -      4 CPUs
[task 2021-02-11T05:21:35.024Z] 05:21:35     INFO - 
[task 2021-02-11T05:21:35.024Z] 05:21:35     INFO - GPU: UNKNOWN
[task 2021-02-11T05:21:35.024Z] 05:21:35     INFO - 
[task 2021-02-11T05:21:35.024Z] 05:21:35     INFO - Crash reason:  SIGSEGV /SEGV_MAPERR
[task 2021-02-11T05:21:35.024Z] 05:21:35     INFO - Crash address: 0x0
[task 2021-02-11T05:21:35.024Z] 05:21:35     INFO - Process uptime: not available
[task 2021-02-11T05:21:35.024Z] 05:21:35     INFO - 
[task 2021-02-11T05:21:35.024Z] 05:21:35     INFO - Thread 0 (crashed)
[task 2021-02-11T05:21:35.024Z] 05:21:35     INFO -  0  libxul.so!mozilla::dom::FetchDriver::OnStartRequest(nsIRequest*) [FetchDriver.cpp:875a4350484849d1ac79a4cc83727903a108c513 : 960 + 0x29]
[task 2021-02-11T05:21:35.024Z] 05:21:35     INFO -     rax = 0x00007f48dcf0739f   rdx = 0x0000000000000000
[task 2021-02-11T05:21:35.024Z] 05:21:35     INFO -     rcx = 0x000055ac37a80e18   rbx = 0x00007ffe914980b8
[task 2021-02-11T05:21:35.025Z] 05:21:35     INFO -     rsi = 0x00007f48f0b3f8b0   rdi = 0x00007f48f0b3e680
[task 2021-02-11T05:21:35.025Z] 05:21:35     INFO -     rbp = 0x00007ffe91498260   rsp = 0x00007ffe91498080
[task 2021-02-11T05:21:35.025Z] 05:21:35     INFO -      r8 = 0x00007f48f0b3f8b0    r9 = 0x00007f48f1a34780
[task 2021-02-11T05:21:35.025Z] 05:21:35     INFO -     r10 = 0x0000000000000002   r11 = 0x0000000000000000
[task 2021-02-11T05:21:35.025Z] 05:21:35     INFO -     r12 = 0x00007f48f031e970   r13 = 0x00007f48d2fbf700
[task 2021-02-11T05:21:35.025Z] 05:21:35     INFO -     r14 = 0x00007f48d2f4c080   r15 = 0x00007ffe91498118
[task 2021-02-11T05:21:35.025Z] 05:21:35     INFO -     rip = 0x00007f48e1dfa094
[task 2021-02-11T05:21:35.025Z] 05:21:35     INFO -     Found by: given as instruction pointer in context
[task 2021-02-11T05:21:35.025Z] 05:21:35     INFO -  1  libxul.so!nsCORSListenerProxy::OnStartRequest(nsIRequest*) [nsCORSListenerProxy.cpp:875a4350484849d1ac79a4cc83727903a108c513 : 447 + 0x14]
[task 2021-02-11T05:21:35.025Z] 05:21:35     INFO -     rbx = 0x00007f48f031e970   rbp = 0x00007ffe91498310
[task 2021-02-11T05:21:35.025Z] 05:21:35     INFO -     rsp = 0x00007ffe91498270   r12 = 0x00007ffe91498280
[task 2021-02-11T05:21:35.025Z] 05:21:35     INFO -     r13 = 0x00007f48d2fbf700   r14 = 0x00007f48d2f4c080
[task 2021-02-11T05:21:35.025Z] 05:21:35     INFO -     r15 = 0x00007f48d2fbf778   rip = 0x00007f48e000b74b
[task 2021-02-11T05:21:35.025Z] 05:21:35     INFO -     Found by: call frame info
[task 2021-02-11T05:21:35.025Z] 05:21:35     INFO -  2  libxul.so!mozilla::net::HttpChannelChild::DoOnStartRequest(nsIRequest*, nsISupports*) [HttpChannelChild.cpp:875a4350484849d1ac79a4cc83727903a108c513 : 592 + 0x14]
[task 2021-02-11T05:21:35.025Z] 05:21:35     INFO -     rbx = 0x00007f48d2f4c000   rbp = 0x00007ffe91498360
[task 2021-02-11T05:21:35.025Z] 05:21:35     INFO -     rsp = 0x00007ffe91498320   r12 = 0x00007ffe91498328
[task 2021-02-11T05:21:35.025Z] 05:21:35     INFO -     r13 = 0x00007f48d2f4d8c0   r14 = 0x00007f48d2f4c160
[task 2021-02-11T05:21:35.025Z] 05:21:35     INFO -     r15 = 0x00007f48d2f4c080   rip = 0x00007f48dffbe450
[task 2021-02-11T05:21:35.025Z] 05:21:35     INFO -     Found by: call frame info
[task 2021-02-11T05:21:35.025Z] 05:21:35     INFO -  3  libxul.so!mozilla::net::HttpChannelChild::OnStartRequest(mozilla::net::nsHttpResponseHead const&, bool const&, mozilla::net::nsHttpHeaderArray const&, mozilla::net::HttpChannelOnStartRequestArgs const&) [HttpChannelChild.cpp:875a4350484849d1ac79a4cc83727903a108c513 : 523 + 0xf]
[task 2021-02-11T05:21:35.025Z] 05:21:35     INFO -     rbx = 0x00007f48d2f4c000   rbp = 0x00007ffe91498480
[task 2021-02-11T05:21:35.025Z] 05:21:35     INFO -     rsp = 0x00007ffe91498370   r12 = 0x00007f48d2f4c030
[task 2021-02-11T05:21:35.025Z] 05:21:35     INFO -     r13 = 0x00007f48d2f4d8c0   r14 = 0x00007f48d2f4d8d0
[task 2021-02-11T05:21:35.025Z] 05:21:35     INFO -     r15 = 0x00007ffe91498390   rip = 0x00007f48dffbe190
[task 2021-02-11T05:21:35.025Z] 05:21:35     INFO -     Found by: call frame info
[task 2021-02-11T05:21:35.025Z] 05:21:35     INFO -  4  libxul.so!mozilla::net::ChannelEventQueue::FlushQueue() [ChannelEventQueue.cpp:875a4350484849d1ac79a4cc83727903a108c513 : 90 + 0x12]
[task 2021-02-11T05:21:35.025Z] 05:21:35     INFO -     rbx = 0x00007f48d2fa5700   rbp = 0x00007ffe914984f0
[task 2021-02-11T05:21:35.025Z] 05:21:35     INFO -     rsp = 0x00007ffe91498490   r12 = 0x00007ffe91498560
[task 2021-02-11T05:21:35.026Z] 05:21:35     INFO -     r13 = 0x00007ffe914984a0   r14 = 0x00007f48d2fa5728
[task 2021-02-11T05:21:35.026Z] 05:21:35     INFO -     r15 = 0x00007ffe914984a8   rip = 0x00007f48e00b98de
[task 2021-02-11T05:21:35.026Z] 05:21:35     INFO -     Found by: call frame info
[task 2021-02-11T05:21:35.026Z] 05:21:35     INFO -  5  libxul.so!mozilla::net::ChannelEventQueue::ResumeInternal()::CompleteResumeRunnable::Run() [ChannelEventQueue.cpp:875a4350484849d1ac79a4cc83727903a108c513 : 148 + 0x29]
[task 2021-02-11T05:21:35.026Z] 05:21:35     INFO -     rbx = 0x00007f48d2fa5700   rbp = 0x00007ffe91498510
[task 2021-02-11T05:21:35.026Z] 05:21:35     INFO -     rsp = 0x00007ffe91498500   r12 = 0x00007ffe91498560
[task 2021-02-11T05:21:35.026Z] 05:21:35     INFO -     r13 = 0x00007f48e6b45ec8   r14 = 0x00007f48d2fa5728
[task 2021-02-11T05:21:35.026Z] 05:21:35     INFO -     r15 = 0x00007f48d2f7b470   rip = 0x00007f48e00d2901
[task 2021-02-11Ta05:21:35.026Z] 05:21:35     INFO -     Found by: call frame info
Pushed by jwein@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/2992241e653c
Account for the padding on the scrollbox when positioning pinned tabs. r=Gijs
Status: ASSIGNED → RESOLVED
Closed: 2 months ago
Resolution: --- → FIXED
Target Milestone: --- → 87 Branch

Backed out changeset 875a43504848 (bug 1690775)
Backed out changeset 977472ead74c (bug 1688294)
Backed out changeset 0788a5748ee1 (bug 1688072)
Backed out changeset d2ca3aec6fd6 (bug 1689852)

Attachment #9204845 - Attachment is obsolete: true

This bug is still reproducible on 88.0a1 (2021-03-15) on all OS's.
Should we reopen this bug or log a new one?
Thanks.

Flags: needinfo?(jaws)

(In reply to Hani Yacoub from comment #10)

Created attachment 9209126 [details]
Screenshot 2021-03-15 at 15.53.09.png

This bug is still reproducible on 88.0a1 (2021-03-15) on all OS's.
Should we reopen this bug or log a new one?
Thanks.

Bug 1695292 is on file for changing the hovered state of the arrow buttons. Let's use that for tracking this.

Flags: needinfo?(jaws)

Verified as fixed on Firefox Nightly 89.0a1 on Windows 10 x64, Windows 7 x64, Ubuntu 20.04 and on macOS 10.15.

Status: RESOLVED → VERIFIED

Since the status are different for nightly and release, what's the status for beta?
For more information, please visit auto_nag documentation.

You need to log in before you can comment on or make changes to this bug.